org.apache.lucene.queries.function.valuesource

## Class SumFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.MultiFloatFunction
    - - org.apache.lucene.queries.function.valuesource.SumFloatFunction

-     public class SumFloatFunction
      extends MultiFloatFunction

  `SumFloatFunction` returns the sum of its components.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

      `sources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SumFloatFunction(ValueSource[] sources)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected float` | `func(int doc, FunctionValues[] valsArr)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

      `createWeight, description, equals, exists, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SumFloatFunction

          public SumFloatFunction(ValueSource[] sources)

  - ### Method Detail

    - #### name

          protected String name()

      Specified by:
        `name` in class `MultiFloatFunction`

    - #### func

          protected float func(int doc,
                               FunctionValues[] valsArr)
                        throws IOException

      Specified by:
        `func` in class `MultiFloatFunction`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.